• Pricing

Installing Jekyll

Farrel Burns, Developer Evangelist
Duration: 5 minutes
Expertise level: Beginner
On this page:

Loading...

Jekyll is a Ruby Gem that can be installed on most systems.

How to install

Jekyll is a Ruby Gem, which means you will need to install a couple of dependancies to allow the Gem to run on your system.

You will need:

  1. Ruby version 2.4.0 or higher, including all development headers (check by running the command ruby -v)
  2. RubyGems (check by running the command gem -v)
  3. GCC (check by running the command gcc -v, g++ -v)
  4. Make (check by running the command make -v)
Note

For a step by step walk through to help you install these these head to the Jekyll installation guides and follow the instructions for your system.

Installing Jekyll

Once you have done that you are ready to install the Jekyll gem. Go to your command line interface and run

gem install jekyll bundler

Final checks

To check that the installation has worked properly, run the following command:

jekyll -v

Comments